package ss2011.se.dp.ha5;


import javax.swing.*;
import java.awt.*;
import java.io.File;

public class HA5Aufgabe1App extends JFrame
{

    /**
     * Erweitere dieses Swing-Programm:
     *
     * 1) Es soll in der zentralen Liste die Dateien im Aktuellen Verzeichnis anzeigen
     * 2) Beim (Doppel)klick auf ein Verzeichnis soll in dieses Verzeichnis gewechselt werden
     * 3) Beim Klick auf den up-Button soll ein Verzeichnis hoeher gewechselt werden
     * 4) Beim Klick auf den refresh-Button soll das Verzeichnis neu eingelesen werden
     *
     * (Scrollbar etc. nicht noetig).
     *
     * Es ist das Observer-Pattern mindestens drei mal zu verwenden; jeweils fuer die Verarbeitung
     * der Mouse-Klicks.
     * 
     * Welcher Ansatz laesst sich einfacher umsetzen, separate Observer oder ein gemeinsamer fuer
     * alle Buttons? Begruende deine Anwort in mindestens 30 Worten HIER:
     * 
     * <Antwort hier!>
     */


    private JList fileList;

    public HA5Aufgabe1App() throws HeadlessException
    {
        JPanel panel = new JPanel(new BorderLayout());
        getContentPane().add(panel);
        panel.add(new JButton("Ein Verzeichnis hoeher..."), BorderLayout.NORTH);

        fileList = new JList(new String[]{"Liste...", "der Dateien...", "im aktuellen Verzeichnis ...", "hier anzeigen!"});
        // TODO in der Ausarbeitung bietet sich die Verwendung von javax.swing.DefaultListModel statt den Strings an...

        panel.add(fileList, BorderLayout.CENTER);
        panel.add(new JButton("Refresh"), BorderLayout.SOUTH);
        setTitle(new File(".").getAbsolutePath());
        setSize(640, 480);
        setVisible(true);
    }

    public static void main(String[] args)
    {
        new HA5Aufgabe1App();
    }
}
