package ss2011.se.dp.ha5.a1.model;

import java.util.Collection;

public class Subscriber
{

    private int address;
    private Collection<Message> incoming;
    private Collection<Message> outgoing;

    public Subscriber(int address)
    {
        this.address = address;
    }

    public int getAddress()
    {
        return address;
    }

    public boolean addIncomingMessage(Message message)
    {
        return incoming.add(message);
    }

    public boolean removeIncomingMessage(Message message)
    {
        return incoming.remove(message);
    }

    public Collection<Message> getIncomingMessages()
    {
        return incoming;
    }

    public boolean addOutgoingMessage(Message message)
    {
        return outgoing.add(message);
    }

    public boolean removeOutgoingMessage(Message message)
    {
        return outgoing.remove(message);
    }

    public Collection<Message> getOutgoingMessages()
    {
        return outgoing;
    }
}
